pcl::poisson::OctNode< NodeData, Real >::NeighborKey5 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| NeighborKey5 (void)
| ~NeighborKey5 (void)
void | set (int depth)
Neighbors5 & | getNeighbors (OctNode *node)
Neighbors5 & | setNeighbors (OctNode *node, int xStart=0, int xEnd=5, int yStart=0, int yEnd=5, int zStart=0, int zEnd=5)

## Public Attributes

Neighbors5 * | neighbors

## Detailed Description

### template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::NeighborKey5

Definition at line 249 of file octree_poisson.h.

## Constructor & Destructor Documentation

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::NeighborKey5 | ( | void |  | ) |

Definition at line 1618 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::~NeighborKey5 | ( | void |  | ) |

Definition at line 1630 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

## Member Function Documentation

template<class NodeData , class Real >

OctNode< NodeData, Real >::Neighbors5 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors | ( | OctNode * | node | ) |

Definition at line 1660 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Cube::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::Cube::FactorCornerIndex(), pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors, pcl::poisson::OctNode< NodeData, Real >::Neighbors5::neighbors, and pcl::poisson::OctNode< NodeData, Real >::parent.

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::set | ( | int | depth | ) |

Definition at line 1642 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, and pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

template<class NodeData , class Real >

OctNode< NodeData, Real >::Neighbors5 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors | ( | OctNode * | node,
|  | int | xStart = `0`,
|  | int | xEnd = `5`,
|  | int | yStart = `0`,
|  | int | yEnd = `5`,
|  | int | zStart = `0`,
|  | int | zEnd = `5`
| ) |  |

Definition at line 1776 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Cube::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::Cube::FactorCornerIndex(), pcl::poisson::OctNode< NodeData, Real >::initChildren(), pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors, pcl::poisson::OctNode< NodeData, Real >::Neighbors5::neighbors, and pcl::poisson::OctNode< NodeData, Real >::parent.

## Member Data Documentation

template<class NodeData, class Real = float>

Neighbors5* pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::neighbors

Definition at line 253 of file octree_poisson.h.

Referenced by pcl::poisson::Octree< Degree >::finalize().

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.h
- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.hpp